Package net.snowflake.client.core

## Class ExecTimeTelemetryData

- java.lang.Object
- - net.snowflake.client.core.ExecTimeTelemetryData

    public class ExecTimeTelemetryData
    extends Object

### Constructor Summary

Constructors
`ExecTimeTelemetryData()`
`ExecTimeTelemetryData​(String queryFunction, String batchId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRetryLocation​(String location)`
`String` `generateTelemetry()`
`TimeMeasurement` `getBind()`
`TimeMeasurement` `getCreateResultSet()`
`TimeMeasurement` `getExecuteToSend()`
`TimeMeasurement` `getGzip()`
`TimeMeasurement` `getHttpClient()`
`TimeMeasurement` `getProcessResultChunk()`
`TimeMeasurement` `getQuery()`
`String` `getQueryId()`
`String` `getQueryText()`
`String` `getRequestId()`
`TimeMeasurement` `getResponseIOStream()`
`String` `getSessionId()`
`void` `incrementRetryCount()`
`void` `setBindEnd()`
`void` `setBindStart()`
`void` `setCreateResultSetEnd()`
`void` `setCreateResultSetStart()`
`void` `setExecuteToSendQueryEnd()`
`void` `setGzipEnd()`
`void` `setGzipStart()`
`void` `setHttpClientEnd()`
`void` `setHttpClientStart()`
`void` `setOCSPStatus​(Boolean ocspEnabled)`
`void` `setProcessResultChunkEnd()`
`void` `setProcessResultChunkStart()`
`void` `setQueryEnd()`
`void` `setQueryId​(String queryId)`
`void` `setQueryText​(String sql)`
`void` `setRequestId​(String requestId)`
`void` `setResponseIOStreamEnd()`
`void` `setResponseIOStreamStart()`
`void` `setSessionId​(String sessionId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecTimeTelemetryData

    public ExecTimeTelemetryData​(String queryFunction,
                                 String batchId)

#### ExecTimeTelemetryData

    public ExecTimeTelemetryData()

### Method Detail

#### setBindStart

    public void setBindStart()

#### setOCSPStatus

    public void setOCSPStatus​(Boolean ocspEnabled)

#### setBindEnd

    public void setBindEnd()

#### setHttpClientStart

    public void setHttpClientStart()

#### setHttpClientEnd

    public void setHttpClientEnd()

#### setGzipStart

    public void setGzipStart()

#### setGzipEnd

    public void setGzipEnd()

#### setQueryEnd

    public void setQueryEnd()

#### setExecuteToSendQueryEnd

    public void setExecuteToSendQueryEnd()

#### setQueryId

    public void setQueryId​(String queryId)

#### setProcessResultChunkStart

    public void setProcessResultChunkStart()

#### setProcessResultChunkEnd

    public void setProcessResultChunkEnd()

#### setResponseIOStreamStart

    public void setResponseIOStreamStart()

#### setResponseIOStreamEnd

    public void setResponseIOStreamEnd()

#### setCreateResultSetStart

    public void setCreateResultSetStart()

#### setCreateResultSetEnd

    public void setCreateResultSetEnd()

#### incrementRetryCount

    public void incrementRetryCount()

#### setRequestId

    public void setRequestId​(String requestId)

#### addRetryLocation

    public void addRetryLocation​(String location)

#### setSessionId

    public void setSessionId​(String sessionId)

#### setQueryText

    public void setQueryText​(String sql)

#### getSessionId

    public String getSessionId()

#### getQueryText

    public String getQueryText()

#### getRequestId

    public String getRequestId()

#### getQueryId

    public String getQueryId()

#### getExecuteToSend

    public TimeMeasurement getExecuteToSend()

#### getBind

    public TimeMeasurement getBind()

#### getGzip

    public TimeMeasurement getGzip()

#### getHttpClient

    public TimeMeasurement getHttpClient()

#### getResponseIOStream

    public TimeMeasurement getResponseIOStream()

#### getProcessResultChunk

    public TimeMeasurement getProcessResultChunk()

#### getCreateResultSet

    public TimeMeasurement getCreateResultSet()

#### getQuery

    public TimeMeasurement getQuery()

#### generateTelemetry

    public String generateTelemetry()

#### toString

    @SnowflakeJdbcInternalApi
    public String toString()

Overrides:
  `toString` in class `Object`